<template>
  <v-app id="inspire">
    <!-- Barra lateral -->
    <v-navigation-drawer
      v-model="drawer"
      fixed
      app
    >
      <p class="pt-2 pl-3 mt-4" >Menu Principal</p>
      <v-spacer></v-spacer>
      <v-divider></v-divider>
      <v-list dense>

        <!-- Menu LOGIN -->
        <v-list-tile @click="goLogin" v-if="!getLogoutState">
          <v-list-tile-action>
            <v-icon>lock_open</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Login</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

        <v-list-tile to="/dashboard" v-if="getLogoutState">
          <v-list-tile-action >
            <v-icon>list</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Dashboard</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

        <v-list-tile to="/task/terminaciones" v-if="getLogoutState">
          <v-list-tile-action >
            <v-icon>check_box</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Transitos</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

         <v-divider></v-divider>

        <v-list-tile v-if="getLogoutState" @click="logout">
          <v-list-tile-action>
            <v-icon>lock</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Logout</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

      </v-list>

    </v-navigation-drawer>

    <!-- Barra d header -->
    <v-toolbar color="#3DBCEB" dark fixed app>
      <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
      <v-toolbar-title v-if="!getUserData">Laboratorios Medicos</v-toolbar-title>
      <v-toolbar-title v-if="getUserData">{{ getUserData.email }}</v-toolbar-title>
    </v-toolbar>

    <!-- Contenido -->
    <v-content>
      <v-container fluid fill-height>
        <v-layout
          justify-center
          align-center
        >
          <transition name="fade" mode="out-in">
            <router-view  :key="$router.fullPath"/>
          </transition>
          <snackbar-store />

        </v-layout>
      </v-container>
    </v-content>

    <!-- Footer -->
    <v-footer color="#3DBCEB" app >
      <v-layout justify-center>
        <span class="white--text" > &copy; 2019 Laboratorios Médicos S. de R.L.</span>
      </v-layout>
    </v-footer>
  </v-app>
</template>

<script>
  import {mapGetters, mapActions} from 'vuex';
  import snackbarStore from '@/components/SnackbarStore'

  export default {
  components:{snackbarStore},
  data: () => ({
    drawer: false
  }),
  props: {
    source: String
  },
  methods:{
    ...mapActions([
      'loginAction'
    ]),
    goLogin(){
      this.$router.push('/')
    },
    logout: function () {
      let self = this;
      self.$store.commit('LOGOUT');
      self.$router.push({path: '/'});
    },
  },
  computed:{
    getLogoutState(){
      return this.$store.getters.getIsLogedIn
    },
    getUserData(){
      return this.$store.getters.getUser;
    },
  }
}
</script>

<style scoped>
  .fade-enter-active,
  .fade-leave-active {
    transition-duration: 0.3s;
    transition-property: opacity;
    transition-timing-function: ease;
  }

  .fade-enter,
  .fade-leave-active {
    opacity: 0
  }

</style>
